Versions of java

Hi
I’m new to Linux.

It looks as though my VPN connection (via Juniper networks) may need a newer version of Java that was supplied with Opensuse 11.1. I see that Opensuse has Icedtea java installed, whereas there is, as I understand it, a newer version released by Sun - which addresses some security issues as well.

Can I install the Sun java in OpenSuse - and, if so, should I uninstall the IcedTea Java?

This is the Java repository for 11.1
Index of /repositories/Java:/packages/openSUSE_11.1. Install updates from this repo.
IcedTea isn’t a newer version of Java. Main Page - IcedTea.
Good luck.